---
sidebar_label: LEAF Commons
title: Commons Functionality
sidebar_position: 1
---
<!-- @format -->

import { faUpRightFromSquare } from "@fortawesome/free-solid-svg-icons";


The LEAF Commons is a suite of independent but interoperable tools to provide a web-based environment for researchers who want to create, encode, and publish cultural and scholarly materials. You can work from your personal computer or use a code repository to store your files and collaborate with others.

**LEAF Commons tools:**

<div className="primary-button-row">
  
  <PrimaryButton
    link="about-lw"
    buttonName="LEAF-Writer"
    icon={faUpRightFromSquare}></PrimaryButton>
  <PrimaryButton
    link="leaf-te"
    buttonName="LEAF-Turning Engine"
    icon={faUpRightFromSquare}></PrimaryButton>
  <PrimaryButton
    link="dtoc"
    buttonName="Dynamic Table of Contexts"
    icon={faUpRightFromSquare}></PrimaryButton>
 
</div>

**Coming next:** the improved **Named Entity Recognition Vetting Environment (NERVE)**
